Subject: Re: [PATCH 2/7] net: batman-adv: remove unneeded MODULE_VERSION() usage

From: Sven Eckelmann <[email-masked]>
Date: Sat, 05 Dec 2020 08:06:40 +0100

On Wednesday, 2 December 2020 13:49:54 CET Enrico Weigelt, metux IT consult wrote:
> Remove MODULE_VERSION(), as it isn't needed at all: the only version
> making sense is the kernel version.

Is there some explanation besides an opinion? Some kind goal which you want to 
achieve with it maybe?

At least for us it was an easy way to query the release cycle information via 
batctl. Which made it easier for us to roughly figure out what an reporter/
inquirer was using - independent of whether he is using the in-kernel version 
or a backported version.

Loosing this source of information and breaking parts of batctl and other 
tools (respondd, ...) is not the end of the world. But I would at least know 
why this is now necessary.

Kind regards,
	Sven